Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZForm Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $formID=-1)
| get ( $id=-1)
| fill (&$formArray)
| id ()
& | name ()
& | receiver ()
& | cc ()
& | completedPage ()
& | instructionPage ()
& | counter ()
& | sender ()
& | isSendAsUser ()
| setName (&$value)
| setSender (&$value)
| setSendAsUser ( $value=true)
| setReceiver (&$value)
| setCC (&$value)
| setCompletedPage (&$value)
| setInstructionPage (&$value)
| counterAdd ()
& | formElements ()
& | formElement ( $placement)
& | numberOfElements ()
& | numberOfTypes ()
| addElement (&$object)
| moveUp ( $object)
| moveDown ( $object)

## Static Public Member Functions
static & | getAll ( $offset=0, $limit=20)
static | count ()

## Public Attributes
| $ID
| $Name
| $Receiver
| $CC
| $CompletedPage
| $InstructionPage
| $Counter
| $SendAsUser
| $Sender

## Detailed Description

! eZForm ezform documentation.

Example code:

Definition at line 41 of file ezform.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZForm::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZForm object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezform.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ addElement()

eZForm::addElement | ( | & | $object | ) |

This function adds an eZFormElement to this form.

Definition at line 494 of file ezform.php.

References $db, $ID, $res, $result, eZDB\finish(), and eZDB\globalDatabase().

## ◆ cc()

& eZForm::cc | ( |  | ) |

Returns the cc of the object.

Definition at line 295 of file ezform.php.

References $CC.

## ◆ completedPage()

& eZForm::completedPage | ( |  | ) |

Returns the completed page of the object.

Definition at line 310 of file ezform.php.

References $CompletedPage.

## ◆ count()

static eZForm::count | ( |  | ) |
| static

Returns the total count of objects in the database.

Definition at line 243 of file ezform.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by formElements(), get(), and getAll().

## ◆ counter()

& eZForm::counter | ( |  | ) |

Returns the counter of the object.

Definition at line 326 of file ezform.php.

References $Counter.

## ◆ counterAdd()

eZForm::counterAdd | ( |  | ) |

Increases the counter of the object.

Definition at line 420 of file ezform.php.

## ◆ delete()

eZForm::delete | ( |  | $formID = `-1` | ) |

Deletes a eZForm object from the database.

Definition at line 131 of file ezform.php.

References $db, $element, $ID, $res, formElements(), and eZDB\globalDatabase().

## ◆ fill()

eZForm::fill | ( | & | $formArray | ) |

Fills in information to the object taken from the array.

Definition at line 190 of file ezform.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ formElement()

& eZForm::formElement | ( |  | $placement | ) |

Returns a specific form element based on the placement (number) The element is returned as eZFormElement objects.

Definition at line 449 of file ezform.php.

References $db, $element, and eZDB\globalDatabase().

## ◆ formElements()

& eZForm::formElements | ( |  | ) |

Returns every form element of this form. The form elements are returned as an array of eZFormElement objects.

Definition at line 429 of file ezform.php.

References $db, $i, count(), and eZDB\globalDatabase().

Referenced by delete().

## ◆ get()

eZForm::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 165 of file ezform.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZForm::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |
| static

Returns all the objects found in the database.

The objects are returned as an array of eZForm objects.

Definition at line 209 of file ezform.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ id()

eZForm::id | ( |  | ) |

Returns the object ID. This is the unique ID stored in the database.

Definition at line 257 of file ezform.php.

References $ID.

Referenced by moveDown(), and moveUp().

## ◆ instructionPage()

& eZForm::instructionPage | ( |  | ) |

Returns the instruction page of the object.

Definition at line 318 of file ezform.php.

References $InstructionPage.

## ◆ isSendAsUser()

& eZForm::isSendAsUser | ( |  | ) |

Returns true if one should use the user name of the user for the sending.

Definition at line 342 of file ezform.php.

References $ret.

## ◆ moveDown()

eZForm::moveDown | ( |  | $object | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 577 of file ezform.php.

References $db, $res, eZDB\finish(), eZDB\globalDatabase(), and id().

## ◆ moveUp()

eZForm::moveUp | ( |  | $object | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 523 of file ezform.php.

References $db, $res, eZDB\finish(), eZDB\globalDatabase(), and id().

## ◆ name()

& eZForm::name | ( |  | ) |

Returns the name of the object.

Definition at line 265 of file ezform.php.

References $Name, and Name.

## ◆ numberOfElements()

& eZForm::numberOfElements | ( |  | ) |

Returns the number of form elements to this form

Definition at line 465 of file ezform.php.

References $db, $result, $ret, and eZDB\globalDatabase().

## ◆ numberOfTypes()

& eZForm::numberOfTypes | ( |  | ) |

Returns the number of types which exists

Definition at line 479 of file ezform.php.

References $db, $result, $ret, and eZDB\globalDatabase().

## ◆ receiver()

& eZForm::receiver | ( |  | ) |

Returns the receiver of the object.

Definition at line 280 of file ezform.php.

References $Receiver.

## ◆ sender()

& eZForm::sender | ( |  | ) |

Returns the sender of the object.

Definition at line 334 of file ezform.php.

References $Sender.

## ◆ setCC()

eZForm::setCC | ( | & | $value | ) |

Sets the cc.

Definition at line 396 of file ezform.php.

## ◆ setCompletedPage()

eZForm::setCompletedPage | ( | & | $value | ) |

Sets the completed page for the object.

Definition at line 404 of file ezform.php.

## ◆ setInstructionPage()

eZForm::setInstructionPage | ( | & | $value | ) |

Sets the instruction page for the object.

Definition at line 412 of file ezform.php.

## ◆ setName()

eZForm::setName | ( | & | $value | ) |

Sets the name of the object.

Definition at line 357 of file ezform.php.

References Name.

## ◆ setReceiver()

eZForm::setReceiver | ( | & | $value | ) |

Sets the receiver.

Definition at line 388 of file ezform.php.

## ◆ setSendAsUser()

eZForm::setSendAsUser | ( |  | $value = `true` | ) |

Sets the sender of the object.

Definition at line 373 of file ezform.php.

## ◆ setSender()

eZForm::setSender | ( | & | $value | ) |

Sets the sender of the object.

Definition at line 365 of file ezform.php.

## ◆ store()

eZForm::store | ( |  | ) |

Stores a eZForm object to the database.

Definition at line 68 of file ezform.php.

References $counter, $Counter, $db, $name, $res, $SendAsUser, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $CC

eZForm::$CC

Definition at line 634 of file ezform.php.

Referenced by cc().

## ◆ $CompletedPage

eZForm::$CompletedPage

Definition at line 635 of file ezform.php.

Referenced by completedPage().

## ◆ $Counter

eZForm::$Counter

Definition at line 637 of file ezform.php.

Referenced by counter(), and store().

## ◆ $ID

eZForm::$ID

Definition at line 631 of file ezform.php.

Referenced by __construct(), addElement(), delete(), and id().

## ◆ $InstructionPage

eZForm::$InstructionPage

Definition at line 636 of file ezform.php.

Referenced by instructionPage().

## ◆ $Name

eZForm::$Name

Definition at line 632 of file ezform.php.

Referenced by name().

## ◆ $Receiver

eZForm::$Receiver

Definition at line 633 of file ezform.php.

Referenced by receiver().

## ◆ $SendAsUser

eZForm::$SendAsUser

Definition at line 638 of file ezform.php.

Referenced by store().

## ◆ $Sender

eZForm::$Sender

Definition at line 639 of file ezform.php.

Referenced by sender().

The documentation for this class was generated from the following file:

- ezform.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.